package info.bukova.isspst.ui.main.invoicing;

import info.bukova.isspst.data.Invoicing;
import info.bukova.isspst.services.invoicing.InvoicingService;
import info.bukova.isspst.ui.ListViewModel;

import org.zkoss.bind.annotation.Init;
import org.zkoss.zk.ui.select.annotation.WireVariable;

public class InvoicingList extends ListViewModel<Invoicing> {

	@WireVariable
	private InvoicingService invoicingService;

	@Init(superclass = true)
	public void initInvoicing() {
		service = invoicingService;
		dataClass = Invoicing.class;
		formZul = "invoicingForm.zul";
		//dataFilter = new BuildingFilter(getFilterTemplate());
	}

	@Override
	public boolean isAbleToAdd() {
		return false;
	}

	@Override
	public boolean isAbleToDelete() {
		return false;
	}
	
}
